Skip to main content
`Ctrl`+`K`

# ISComplementVec

Creates the complement of the index set relative to a layout defined by a `Vec`

## Synopsis

    #include "petscvec.h"
    PetscErrorCode ISComplementVec(IS S, Vec V, IS *T)

Collective

## Input Parameters

- S - a PETSc `IS`

- V - the reference vector space

## Output Parameter

- T - the complement of S

## See Also

`IS`, `Vec`, `ISCreateGeneral()`

## Level

advanced

## Location

src/vec/vec/utils/projection.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages